<template>
  <div class="subscription-item">
    <div class="subscription-card">
      <div class="subscription-info">{{ subsObj.houseNumber }}</div>
      <div class="subscription-info">{{ subsObj.newspaperQuantity }}</div>
      <div class="subscription-info">{{ subsObj.newspaperNames }}</div>
      <div class="button-container">
        <button @click="deleteSubscription(subsObj.id)" class="action-button delete-btn">Delete</button>
        <button @click="onEdit(subsObj.id)" class="action-button edit-btn">Edit</button>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'SubscriptionItem',

  props: {
    subsObj: {
      type: Object,
      default: () => ({}),
    },
  },

  methods: {
    ...mapActions(['deleteSubscription']),
    onEdit(editSubscriptionId) {
      this.$router.push({
        name: 'editCreate',
        params: {
          subscriptionId: editSubscriptionId,
        },
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.subscription-item {
  display: flex;
  justify-content: center;
}

.subscription-card {
  border: 1px solid #ccc;
  border-radius: 8px;
  overflow: hidden;
  width: 300px;
}

.subscription-info {
  padding: 10px;
  border-bottom: 1px solid #ccc;
}

.button-container {
  display: flex;
  justify-content: space-around;
  padding: 10px;
}

.action-button {
  padding: 5px 10px;
  cursor: pointer;
  border: none;
  border-radius: 3px;
  color: #fff;
}

.delete-btn {
  background-color: #e74c3c;
}

.edit-btn {
  background-color: #3498db;
}

.action-button:hover {
  filter: brightness(1.2);
}
</style>
